.trailer {
    color: $white;
    overflow: hidden;
    text-align: center;
    position: relative;
    border-radius: 20px;
    font-size: rem(16);
    line-height: rem(20);
    background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        z-index: 50;
        position: absolute;
    }

    &:after {
        top: -90px;
        left: calc(50% - 300px);
        z-index: 5;
        content: '';
        width: 600px;
        height: 600px;
        border-radius: 50%;
        position: absolute;
        filter: blur(400px);
        background: rgba(255, 255, 255, 0.66);
    }

    &__content {
        z-index: 15;
        position: relative;
        padding: rem(28) rem(16) rem(16) rem(16);
    }

    &__header {
        font-weight: 700;
        font-size: rem(34);
        line-height: rem(45);
        margin-bottom: rem(20);
    }

    &__text {
        margin-bottom: rem(20);
    }

    &__info {
        margin: 0;
        padding: 0;
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: rem(10);
            }
        }
    }

    &__tag {
        padding: rem(10);
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(18);
        border-radius: 7px;
        display: inline-block;
        border: 1px solid rgba(255, 255, 255, 0.22);
    }

    &__media {
        z-index: 10;
        position: relative;
        margin-bottom: rem(-10);
    }

    &__gallery {

        &--01 {
            margin-bottom: rem(12);
            transform: translateX(-35px);
        }

        &--03 {
            display: none;
        }
    }

    &__image {
        height: 125px;
        overflow: hidden;
        border-radius: 10px;
        border: 2px solid rgba(255, 255, 255, 0.37);
    }

    .swiper {
        overflow: visible;
    }

    .swiper-slide {
        width: 170px;
        animation-timing-function: linear !important;
    }

    .swiper-wrapper {
        transition-timing-function : linear;
    }

    @include media-breakpoint-up(md) {

        &__info {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-wrap: wrap;

            li {

                &:not(:last-child) {
                    margin-bottom: 0;
                    margin-right: rem(10);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(40);
        text-align: left;
        font-size: rem(24);
        line-height: rem(33);

        &__content {
            padding: 0;
        }

        &__header {
            font-size: rem(50);
            line-height: 120%;
            margin-bottom: rem(15);
        }

        &__text {
            width: rem(520);
            margin-bottom: rem(35);
        }

        &__info {
            margin-bottom: 0;
            justify-content: flex-start;
        }

        &__media {
            top: 0;
            right: 0;
            bottom: 0;
            width: rem(700);
            position: absolute;
            margin-bottom: 0;
            transform: rotate(-66deg);
        }

        &__gallery {

            &--01 {
                transform: translateX(-120px);
            }

            &--02 {
                margin-bottom: rem(12);
            }

            &--03 {
                display: block;
                transform: translateX(120px);
            }
        }

        &__image {
            width: 175px;
            height: 245px;
            transform: rotate(90deg);
        }

        .swiper-slide {
            width: 245px;
            height: 175px;
        }
    }
}

